Bug 223592 - Review Request: wuja - Gnome desktop applet for integration with Google calendar
Review Request: wuja - Gnome desktop applet for integration with Google calendar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-20 09:33 EST by Devan Goodwin
Modified: 2013-01-10 05:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 08:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
mock build log of wuja-0.0.6-2 on FC-devel i386 (23.67 KB, text/plain)
2007-03-19 13:19 EDT, Mamoru TASAKA
no flags Details
mock build log of wuja-0.0.6-3 on FC-devel i386 (24.42 KB, text/plain)
2007-04-13 11:22 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Devan Goodwin 2007-01-20 09:33:46 EST
Spec URL: http://dangerouslyinc.com/files/wuja/wuja.spec
SRPM URL: http://dangerouslyinc.com/files/wuja/wuja-0.0.5-1.src.rpm
Description: Gnome desktop applet for integration with Google calendar
Comment 1 Devan Goodwin 2007-01-20 09:34:47 EST
Also, this is my first contribution for Fedora extras and as such I am in need
of a sponsor.
Comment 2 Devan Goodwin 2007-01-20 13:33:23 EST
% rpmlint wuja-0.0.5-1.src.rpm 
% rpmlint wuja-0.0.5-1.noarch.rpm 
W: wuja non-conffile-in-etc /etc/gconf/schemas/wuja.schema
% 
Comment 3 Christoph Wickert 2007-01-20 13:51:50 EST
adding bug #177841 tracker
Comment 4 Christoph Wickert 2007-01-21 10:48:03 EST
Some initial comments:

1. You should consider renaming this package to something like gnome-wuja,
gnome-applet-wuja or gnome-wuja-applet. See the 'Addon Packages' section of the
Naming guidelines for more info.
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-e865dfbf5ffb4156a1bdf299ace96f48af903a7a
If you rename this pacakge you should also a a Poovides: with the original name
to make 'yum install wuja' work. This would be similar to 
http://fedoraproject.org/wiki/PackagingDrafts/ProvidesObsoletes

2. change 
    /etc/gconf/schemas/wuja.schema to 
    %{_sysconfdir}/gconf/schemas/wuja.schema and
    /usr/bin/wuja to 
    %{_bindir}/wuja

absolute paths are a No-Go. See http://fedoraproject.org/wiki/Extras/RPMMacros
for a list of valid macros.

3. wuja.schema is not installed properly in gconf. You need to disable/skip
schemas install in setup.py and do this in %post, %pre and %preun. See 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-6c2101d8f810cc95c677c8c27f43573b0bc23cb1

4. You should think about stripping down the files section with wildcards, e. g.
    %{python_sitelib}/wuja/calendar.py*
    %{python_sitelib}/wuja/data/*.png
    %{python_sitelib}/wuja/data/*.glade

You could even use a minimal definition like
    %doc AUTHORS LICENSE README
    %{_sysconfdir}/gconf/schemas/wuja.schema
    %{_bindir}/wuja
    %{python_sitelib}/wuja/

Makes sense as long as you are not planning to separate parts of the package or
exclude certain files.
Comment 5 Devan Goodwin 2007-01-21 16:11:46 EST
Thanks for the feedback. Package updated incorporating the suggestions,
wuja.spec remains at the same location.

SRPM's new URL is:
http://dangerouslyinc.com/files/wuja/gnome-applet-wuja-0.0.5-2.src.rpm
Comment 6 Christoph Wickert 2007-01-27 21:00:22 EST
According to the naming guidelines the name of the spec should be
gnome-applet-wuja.spec now.

I think you should replace wuja with gnome-applet-wuja now in %description, too.

You can remove the 'killall -HUP gconfd-2 ...'-lines from the scriptlets, since
bug #173869 is fixed.

The 'Obsoletes:'-tag is only needed
- if a package named wuja had already been published or
- if there are 3rd party packages named wuja and we want to replace them.
So for this special package you can remove it I think.
Comment 7 Trond Danielsen 2007-02-05 02:56:39 EST
Spec file and srpm are not available at the given location.
Comment 8 Devan Goodwin 2007-02-05 07:54:16 EST
My apologies, hard drive failure on what we were using as a webserver. Restored
from backup that didn't include the .spec file or the SRPM.

Also updated as per the suggestions in comment #6, new URL's are:

http://dangerouslyinc.com/files/wuja/gnome-applet-wuja.spec
http://dangerouslyinc.com/files/wuja/gnome-applet-wuja-0.0.5-3.src.rpm
Comment 9 Devan Goodwin 2007-02-09 16:48:47 EST
We've released version 0.0.6 to fix a bug, URL's are now:

http://dangerouslyinc.com/files/wuja/gnome-applet-wuja.spec
http://dangerouslyinc.com/files/wuja/gnome-applet-wuja-0.0.6-1.src.rpm
Comment 10 Devan Goodwin 2007-02-22 18:26:14 EST
Corrected the project description and renamed back to wuja (from
gnome-applet-wuja). Wuja just runs in the tray, but isn't a desktop applet.
Updated URL's:

http://dangerouslyinc.com/files/wuja/wuja.spec
http://dangerouslyinc.com/files/wuja/wuja-0.0.6-2.src.rpm
Comment 11 Mamoru TASAKA 2007-03-19 13:19:52 EDT
Created attachment 150396 [details]
mock build log of wuja-0.0.6-2 on FC-devel i386

* BuildRequires
  - mock build failed on FC-devel i386.
    At least python-devel is needed for BuildRequires
* Requires
  - python-elementtree is no longer available on
    FC-devel.
https://www.redhat.com/archives/fedora-devel-list/2006-December/msg00279.html
The report for python of:
https://www.redhat.com/archives/fedora-devel-list/2006-December/msg00250.html
Comment 12 Mamoru TASAKA 2007-04-05 04:04:20 EDT
ping?
Comment 13 Devan Goodwin 2007-04-05 15:51:23 EDT
Will upgrade to Fedora 7 soon and attempt to get the rpm building properly
without the elementtree dependency.
Comment 15 Mamoru TASAKA 2007-04-13 11:22:12 EDT
Created attachment 152547 [details]
mock build log of wuja-0.0.6-3 on FC-devel i386

wuja-0.0.6-3 won't be rebuilt on FC-devel i386.
Please check BuildRequires (at least python-devel
seems required as BR)
Comment 16 Devan Goodwin 2007-04-14 11:07:58 EDT
Sorry for the confusion, still trying to get the hang of building rpms.

http://dangerouslyinc.com/files/wuja/wuja.spec
http://dangerouslyinc.com/files/wuja/wuja-0.0.6-4.fc7.src.rpm
Comment 17 Mamoru TASAKA 2007-04-14 12:24:06 EDT
Well, while I don't know if I am doing the right
way to use this, I just typed on the terminal and gets
the following traceback.

[tasaka1@localhost ~]$ wuja
Unable to locate logging configuration in the following locations:
   /home/tasaka1/.wuja/logging.conf
   /home/tasaka1/logging.conf
GTK Accessibility Module initialized
/usr/lib/python2.5/site-packages/wuja/application.py:35: DeprecationWarning: the
module egg.trayicon is deprecated; equivalent functionality can now be found in
pygtk 2.10
  from egg import trayicon
Traceback (most recent call last):
  File "/usr/bin/wuja", line 13, in <module>
    from wuja.application import WujaApplication
  File "/usr/lib/python2.5/site-packages/wuja/application.py", line 38, in <module>
    from wuja.notifier import Notifier
  File "/usr/lib/python2.5/site-packages/wuja/notifier.py", line 31, in <module>
    from wuja.feed import FeedOpenError
  File "/usr/lib/python2.5/site-packages/wuja/feed.py", line 29, in <module>
    from elementtree import ElementTree
ImportError: No module named elementtree
Comment 18 Mamoru TASAKA 2007-04-26 08:29:35 EDT
ping?
Comment 19 Devan Goodwin 2007-04-26 09:12:24 EDT
python-elementtree (available in FC6) has been removed from Fedora 7, I'm trying
to find out why but have not yet had any luck. Until it is re-added,
re-packaged, or I can find time to rework wuja to rely on a different XML
parsing library it will not work. 

Should I close this ticket and re-open when the elementtree situation is resolved?
Comment 20 Mamoru TASAKA 2007-04-26 09:30:29 EDT
Well, I am not a expert of python, however, when
I just tried:
-------------------------------------------------
--- feed.py.orig        2007-01-08 04:07:29.000000000 +0900
+++ feed.py     2007-04-26 22:18:54.000000000 +0900
@@ -26,7 +26,7 @@
 import urllib2
 
 from datetime import datetime
-from elementtree import ElementTree
+import _elementtree as ElementTree
 from logging import getLogger
 
 from wuja.model import SingleOccurrenceEntry
--------------------------------------------------------
  and launched wuja, wuja icon(?) appeared on GNOME
  panel and when I clicked the icon, some menu appeared
  and finally a calendar appeared.
  So it *seems* to work for python 2.5.

  NOTE: _elemettree module is included in python-2.5-12.fc7
Comment 21 Devan Goodwin 2007-04-26 09:46:06 EDT
Many thanks for pointing that out, did not realize the module was in Python 2.5
but renamed.

Will adjust tonight to work with both 2.4 and 2.5 and prepare a proper SRPM.

Cheers!
Comment 22 Devan Goodwin 2007-04-26 19:20:35 EDT
New version modified to use the Python 2.5 elementtree module if it's available:

http://dangerouslyinc.com/files/wuja/wuja.spec
http://dangerouslyinc.com/files/wuja/wuja-0.0.7-1.fc7.src.rpm
Comment 23 Mamoru TASAKA 2007-04-26 23:15:10 EDT
Assiging to me.
Comment 24 Mamoru TASAKA 2007-04-27 03:56:10 EDT
For 0.0.7-1:

------------------------------------------------
* MUST/SHOULD fix: If you have some reason you don't
                   want to fix, please explain why.
? Question/Suggestion
------------------------------------------------

? %pre entry
  - Would you write %pre section after
    %install section?

* Requires
  - Some missing Requires found.
    Python releated dependencies are not checked by rpmbuild
    automatically, so you have to check it by yourself.
    From
-------------------------------------------------
$ grep -h 'import ' `rpm -ql wuja` | sort | uniq
-------------------------------------------------
import pynotify  -> notify-python (available on FC6<=)
from egg import trayicon -> gnome-python2-libegg
import gconf -> gnome-python2-gconf
import gtk (and others) -> pygtk2
-------------------------------------------------
   ! Just a note:
     Currently I get the following warning of deprecated
     module:
-------------------------------------------------
/usr/lib/python2.5/site-packages/wuja/application.py:35: DeprecationWarning: the
module egg.trayicon is deprecated; equivalent functionality can now be found in
pygtk 2.10
  from egg import trayicon
-------------------------------------------------

* CFLAGS
  - While this is a noarch rpm, do you have to set CFLAGS?

* Provides
-------------------------------------------------
Provides: wuja = %{version}-%{release}
-------------------------------------------------
  - This is not needed and should be removed.

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 25 Devan Goodwin 2007-04-29 16:01:31 EDT
Updated spec file as per the above suggestions. Left the deprecation warning in,
just noticed this myself after upgrading to Fedora 7. Will investigate the
equivalent functionality and change in an upcoming wuja release.

http://dangerouslyinc.com/files/wuja/wuja.spec
http://dangerouslyinc.com/files/wuja/wuja-0.0.7-2.fc7.src.rpm

Will read these guidelines and attempt to start submitting some review requests
as soon as I can find some free time.

Thanks.
Comment 26 Mamoru TASAKA 2007-05-13 11:09:37 EDT
ping? If you don't have any packages else to submit,
you can do a pre-review of other persons' review requests.
Comment 27 Devan Goodwin 2007-05-13 22:26:01 EDT
Just went to submit comments for surfraw, but mistakenly had the tab open for a
couple days while working on it here and there. When I submitted someone had
beaten me to it, found all the same problems, and the package maintainer has
already made adjustments. Will try again this week.
Comment 28 Devan Goodwin 2007-05-16 20:42:57 EDT
Submitted a new review request for testoob in bug 240391.
Comment 29 Mamoru TASAKA 2007-05-17 03:56:51 EDT
Well,

* This package (wuja) is okay.
* For testoob, it is almost okay.
  - NOTE: for testoob,
    E: testoob non-executable-script
/usr/lib/python2.5/site-packages/testoob/compatibility/trace.py 0644
    means:
    - If this script is to be sourced, then this script should not
      have shebang
    - Otherwise (i.e. this script can be executed by user, for example),
      then this should have executable permission (normally 0755).

   For me this seems the latter case (i.e. permission should be changed
   to 0755) because of the comments on this script.

-----------------------------------------------------------
  This package (wuja) is APPROVED by me
-----------------------------------------------------------
Please follow:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". I will receive a mail which notices
that you need a sponsor and then I will sponsor you.

NOTE:
Deep freeze for Fedora 7 is set as Thursday (on Boston time,
perhaps).
If you want to make this packaged included into _initial_ Fedora 7
release, you have to
* rebuild this on koji
* send a main to rel-eng to make the build on koji tagged with
  f7-final
within TODAY! 

(Of course there is a way to include this package into
Fedora 7 after Fedora 7 is released when the procedure didn't in
time).

http://fedoraproject.org/wiki/ReleaseEngineering/DevelFreezePolicy
http://fedoraproject.org/wiki/JoshBoyer/MergeHOWTO

If you have some questions, please let me know!
Comment 30 Mamoru TASAKA 2007-05-17 13:18:44 EDT
(Removing NEEDSPONSOR: I am now sponsoring)
Comment 31 Devan Goodwin 2007-05-17 18:12:53 EDT
Seems I'm not authorized to set fedora-cvs flag on this ticket yet. Spoke to
#fedora-devel, they think it may be a synchronization issue so I will try again
later.
Comment 32 Devan Goodwin 2007-05-17 18:43:36 EDT
New Package CVS Request
=======================
Package Name: wuja
Short Description: Google Calendar integration for the GNOME desktop.
Owners: dgoodwin@dangerouslyinc.com
Branches: 
InitialCC: 
Comment 33 Mamoru TASAKA 2007-05-18 11:12:00 EDT
( Just a fix as a f8 branch is now created)

New Package CVS Request
=======================
Package Name: wuja
Short Description: Google Calendar integration for the GNOME desktop.
Owners: dgoodwin@dangerouslyinc.com
Branches: FC-7
InitialCC: 
Comment 34 Jens Petersen 2007-05-20 08:44:47 EDT
(The Fedora 7 cvs branch dir is called F-7 btw.)

added
Comment 35 Mamoru TASAKA 2007-05-24 04:46:42 EDT
Please try to rebuild this on devel and F-7 branch.
Comment 36 Devan Goodwin 2007-05-24 08:01:10 EDT
Built a couple days ago but forgot to close ticket, setting as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.